All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sas.rio
Enum MVASQLState

    com.sas.rio.MVASQLState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MVASQLState>

    public enum MVASQLState

This class defines the SQLState enumerations for error messages and exceptions used by the IOM JDBC Driver.

Enum Constant Summary
`SS_01000_GENERAL_WARNING`
`SS_01S02_CONCURRENCY_CHANGED`
`SS_07_006_INVALID_CONVERSION`
`SS_08000_CONNECTION_EXCEPTION`
`SS_08001_CONNECTION_UNABLE_TO_ESTABLISH`
`SS_08003_CONNECTION_DOES_NOT_EXIST`
`SS_08006_CONNECTION_FAILURE`
`SS_0A000_FEATURE_NOT_SUPPORTED`
`SS_23000_INVALID_AUTHORIZATION_SPEC`
`SS_24000_INVALID_CURSOR_POSITION`
`SS_25000_INVALID_TRANSACTION_STATE`
`SS_3F000_INVALID_SCHEMA_NAME`
`SS_42000_SYNTAX_ACCESS_ERROR`
`SS_42S02_TABLE_NOT_FOUND`
`SS_HY000_API_EXCEPTION`
`SS_HY002_INVALID_COLUMN_NUMBER`
`SS_HY009_INVALID_ARGUMENT_VALUE`
`SS_HY010_FUNCTION_SEQUENCE_ERROR`

Method Summary
`java.lang.String` | `ss()`
`static MVASQLState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MVASQLState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Enum Constant Detail

### SS_HY000_API_EXCEPTION

    public static final MVASQLState SS_HY000_API_EXCEPTION

### SS_HY002_INVALID_COLUMN_NUMBER

    public static final MVASQLState SS_HY002_INVALID_COLUMN_NUMBER

### SS_HY009_INVALID_ARGUMENT_VALUE

    public static final MVASQLState SS_HY009_INVALID_ARGUMENT_VALUE

### SS_HY010_FUNCTION_SEQUENCE_ERROR

    public static final MVASQLState SS_HY010_FUNCTION_SEQUENCE_ERROR

### SS_01000_GENERAL_WARNING

    public static final MVASQLState SS_01000_GENERAL_WARNING

### SS_01S02_CONCURRENCY_CHANGED

    public static final MVASQLState SS_01S02_CONCURRENCY_CHANGED

### SS_07_006_INVALID_CONVERSION

    public static final MVASQLState SS_07_006_INVALID_CONVERSION

### SS_08000_CONNECTION_EXCEPTION

    public static final MVASQLState SS_08000_CONNECTION_EXCEPTION

### SS_08001_CONNECTION_UNABLE_TO_ESTABLISH

    public static final MVASQLState SS_08001_CONNECTION_UNABLE_TO_ESTABLISH

### SS_08003_CONNECTION_DOES_NOT_EXIST

    public static final MVASQLState SS_08003_CONNECTION_DOES_NOT_EXIST

### SS_08006_CONNECTION_FAILURE

    public static final MVASQLState SS_08006_CONNECTION_FAILURE

### SS_0A000_FEATURE_NOT_SUPPORTED

    public static final MVASQLState SS_0A000_FEATURE_NOT_SUPPORTED

### SS_24000_INVALID_CURSOR_POSITION

    public static final MVASQLState SS_24000_INVALID_CURSOR_POSITION

### SS_23000_INVALID_AUTHORIZATION_SPEC

    public static final MVASQLState SS_23000_INVALID_AUTHORIZATION_SPEC

### SS_25000_INVALID_TRANSACTION_STATE

    public static final MVASQLState SS_25000_INVALID_TRANSACTION_STATE

### SS_3F000_INVALID_SCHEMA_NAME

    public static final MVASQLState SS_3F000_INVALID_SCHEMA_NAME

### SS_42000_SYNTAX_ACCESS_ERROR

    public static final MVASQLState SS_42000_SYNTAX_ACCESS_ERROR

### SS_42S02_TABLE_NOT_FOUND

    public static final MVASQLState SS_42S02_TABLE_NOT_FOUND

Method Detail

### values

    public static MVASQLState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MVASQLState c : MVASQLState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MVASQLState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### ss

    public java.lang.String ss()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.